package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel
public class DrpPayAndRefundSumGetByOrderIdDTO {
   @ApiModelProperty("采购单号")
   private @NotBlank(
   message = "采购单号不能为空!"
) String orderGoodsId;
   @ApiModelProperty("付款/退款类型(1付款2退款)")
   private @NotNull(
   message = "付款/退款类型不能为空!"
) Integer payAndRefundType;

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Integer getPayAndRefundType() {
      return this.payAndRefundType;
   }

   public DrpPayAndRefundSumGetByOrderIdDTO setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpPayAndRefundSumGetByOrderIdDTO setPayAndRefundType(final Integer payAndRefundType) {
      this.payAndRefundType = payAndRefundType;
      return this;
   }


   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpPayAndRefundSumGetByOrderIdDTO(orderGoodsId=" + var10000 + ", payAndRefundType=" + this.getPayAndRefundType() + ")";
   }
}
